using System.IO;

namespace MMXSaveGameConverter
{
    internal sealed class SavReadState : IReaderState
    {
        public readonly Stream SavInput;

        public SavReadState(string fullPath)
        {
            SavInput = File.OpenRead(fullPath);
        }

        public bool SaveMetaReaded;
        public bool SaveGameReaded;
        public bool ScreenshotReaded;

        public void Dispose()
        {
            SavInput.Dispose();
        }
    }
}